package com.jtxt.demo.config;

import com.jtxt.demo.model.*;
import com.jtxt.demo.util.CacheStore;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.TimeUnit;

@Configuration
public class CacheBean {
    @Bean
    public CacheStore<LearningMaterial> popularLearningMaterialCache() {
        return new CacheStore<>(5, TimeUnit.MINUTES);
    }

    @Bean
    public CacheStore<Question> questionCache() {
        return new CacheStore<>(1, TimeUnit.HOURS);
    }

    @Bean
    public CacheStore<TagToResources> todayCache() {
        return new CacheStore<>(1, TimeUnit.DAYS);
    }

    @Bean
    public CacheStore<LeaderBoard> leaderBoardCache() {
        return new CacheStore<>(5, TimeUnit.MINUTES);
    }

    @Bean
    public CacheStore<Exam> examCache() {
        return new CacheStore<>(1, TimeUnit.HOURS);
    }
}
